## ddskk 16.3

=== Makefile ===
# Makefile: makefile for SKK.
#
# Maintainer: SKK Development Team <skk@ring.gr.jp>


VERSION = 16.3

BZIP2     = bzip2 -9
DATE	  = date
EMACS	  = emacs
ETAGS	  = etags
FLAGS     = -batch -q -no-site-file -l SKK-MK
GIT       = git
GZIP      = gzip -9
MD5	  = md5
RM	  = /bin/rm -f
TEXI2PDF  = /usr/bin/texi2pdf
MAKEINFO  = /usr/bin/makeinfo
DBTOEPUB  = /usr/bin/dbtoepub
KINDLEGEN = $(HOME)/bin/kindlegen
SNAPBASE  = ddskk-`$(DATE) '+%Y%m%d'`
TAR	  = gtar
XEMACS	  = xemacs
RUBY      = ruby
PWD       = pwd
CURL      = curl
SKK_DEFAULT_JISYO =
set_jisyo =

TEST_DEP_1=ert
TEST_DEP_1_STABLE_URL=http://git.savannah.gnu.org/cgit/emacs.git/plain/lisp/emacs-lisp/ert.el?h=emacs-24.3

elc:
	$(EMACS) $(FLAGS) -f SKK-MK-compile

.PHONY: test downloads
test:
	$(EMACS) -batch -Q -L . -L test -l test/all-tests.el -f ert-run-tests-batch-and-exit

downloads :
	$(CURL) '$(TEST_DEP_1_STABLE_URL)' > $(TEST_DEP_1).el

package:
	$(XEMACS) $(FLAGS) -f SKK-MK-compile-package

info:
	$(EMACS) $(FLAGS) -f SKK-MK-compile-info

install:
	$(EMACS) $(FLAGS) -f SKK-MK-install

install-elc:
	$(EMACS) $(FLAGS) -f SKK-MK-install-elc

install-info:
	$(EMACS) $(FLAGS) -f SKK-MK-install-info

install-package:
	$(XEMACS) $(FLAGS) -f SKK-MK-install-package

what-where:
	$(EMACS) $(FLAGS) -f SKK-MK-what-where

what-where-package:
	$(XEMACS) $(FLAGS) -f SKK-MK-what-where-package

uninstall:
	$(EMACS) $(FLAGS) -f SKK-MK-uninstall

get:
	$(EMACS) -batch -q -no-site-file -l tar-util.el -l skk-develop.el --eval='(skk-get "./dic")'

TAGS:
	$(ETAGS) `find . -name '*.el'`

clean:
	-$(RM) leim-list.el skk-autoloads.el skk-setup.el *.elc experimental/*.elc \
	auto-autoloads.el custom-load.el ert.el \
	./doc/skk.info* ./doc/skk.html* ./doc/skk.pdf \
	./doc/skk.xml ./doc/skk.epub ./doc/skk.mobi \
	./doc/*.aux ./doc/*.cp* ./doc/*.fn* ./doc/*.ky* ./doc/*.log ./doc/*.toc ./doc/*.vr* \
	`find . -name '*~'` `find . -name '.*~'` `find . -name '.#*'`

release: clean
	$(RM) ../ddskk-$(VERSION).tar.gz ../ddskk-$(VERSION).tar.bz2 ;\
	$(GIT) archive --format=tar.gz --prefix=ddskk-$(VERSION)/ HEAD > ../ddskk-$(VERSION).tar.gz ;\
	$(GIT) archive --format=tar --prefix=ddskk-$(VERSION)/ HEAD | $(BZIP2) -c > ../ddskk-$(VERSION).tar.bz2 ;\
	$(MD5) ../ddskk-$(VERSION).tar.bz2 > ../ddskk-$(VERSION).tar.bz2.md5 ;\
	$(MD5) ../ddskk-$(VERSION).tar.gz > ../ddskk-$(VERSION).tar.gz.md5

tar: clean
	$(RM) ../ddskk-$(VERSION) ../ddskk-snapshot $(SNAPBASE).tar.gz ../$(SNAPBASE).tar.bz2 ;\
	$(RM) ../$(SNAPBASE) ;\
	ln -sf `$(PWD)` ../$(SNAPBASE) ;\
	cd .. ;\
	$(TAR) -cvpf $(SNAPBASE).tar --exclude-from=$(SNAPBASE)/skk.ex --dereference $(SNAPBASE);\
	$(GZIP) -cf $(SNAPBASE).tar > $(SNAPBASE).tar.gz ;\
	$(RM) $(SNAPBASE).tar ;\
	$(RM) $(SNAPBASE) ;\
	$(MD5) $(SNAPBASE).tar.gz >$(SNAPBASE).tar.gz.md5

# end of Makefile.

=== debian/changelog ===
ddskk (16.3-1) unstable; urgency=medium

  * New upstream version 16.3
  * Update debian/docs to install *.rst instead of skk.org
  * Add Rules-Requires-Root: no
  * Update debhelper-compat to 12
  * Update debian/watch
  * Update debian/copyright
  * Update Standards-Version to 4.5.0

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 10 Feb 2020 22:19:33 +0900

=== debian/control ===
Source: ddskk
Section: lisp
Priority: optional
Maintainer: Tatsuya Kinoshita <tats@debian.org>
Build-Depends: debhelper-compat (= 12)
Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24 | emacs23
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/ddskk
Vcs-Git: https://salsa.debian.org/debian/ddskk.git
Homepage: https://github.com/skk-dev/ddskk
Rules-Requires-Root: no

Package: ddskk
Architecture: all
Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs-snapshot | xemacs21-mule | xemacs21-mule-canna-wnn | xemacs21-gnome-mule | xemacs21-gnome-mule-canna-wnn, emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs-snapshot | apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Recommends: skkdic-cdb | dbskkd-cdb | skkserv | skkdic
Suggests: skkdic, skkdic-extra, skktools, lookup-el, kakasi, w3m-el, eieio, ruby, dictionaries-common
Provides: skk
Conflicts: skk
Replaces: skk
Description: efficient Japanese input system for emacsen
 Daredevil SKK (DDSKK) is a fast and efficient Japanese input system
 written in Emacs Lisp.
 .
 DDSKK is an expand version of SKK (Simple Kana to Kanji conversion
 program, originated by Masahiko Sato).  The way of Kana to Kanji
 conversion is characteristic of SKK.  To learn the usage of DDSKK,
 the tutorial program `skk-tutorial' is available.
 .
 By default, DDSKK tries to connect an skkserv compatible dictionary
 server such as dbskkd-cdb, skksearch or yaskkserv on localhost.
 Directly use of a dictionary file without skkserv is also supported.
 .
 To make a local dictionary from the skkdic package and the skkdic-extra
 package, use the update-skkdic command of the skktools package.  To use
 optional features, install required packages such as lookup-el, kakasi,
 and so on.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=ddskk

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir
	emacs -batch -q -no-site-file -eval '(progn (set-language-environment "Japanese")'"(prefer-coding-system 'iso-2022-jp)(setq SKK_SET_JISYO nil))" -l SKK-MK -f SKK-MK-compile-info
	touch $@

build-arch:

build: build-indep build-arch

clean:
	dh_testdir
	dh_testroot
	rm -f build*-stamp

	$(MAKE) clean

	dh_clean

install: build-indep
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cp -R *.el *.in SKK-* maint nicola tut-code/*.el bayesian/*.el debian/$(PACKAGE)/usr/share/$(PACKAGE)
	cp -f experimental/*.el experimental/dbm/*.el debian/$(PACKAGE)/usr/share/$(PACKAGE)

	rm -f debian/$(PACKAGE)/usr/share/$(PACKAGE)/nicola/Makefile
	rm -f debian/$(PACKAGE)/usr/share/$(PACKAGE)/nicola/.cvsignore
	rm -f debian/$(PACKAGE)/usr/share/$(PACKAGE)/nicola/*.bat
	mv debian/$(PACKAGE)/usr/share/$(PACKAGE)/nicola/ChangeLog* debian/$(PACKAGE)/usr/share/$(PACKAGE)/nicola/README* \
	  debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/nicola/
	if [ -f bayesian/README.ja.md ]; then cp -f bayesian/README.ja.md debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/README.bayesian.ja.md; fi

	rm -f debian/$(PACKAGE)/usr/share/$(PACKAGE)/skk-exsearch.el
	sed 's!/usr/local!/usr!;s!SKK-JISYO\.L!SKK-JISYO!' experimental/skk-exsearch.el > debian/$(PACKAGE)/usr/share/$(PACKAGE)/skk-exsearch.el

	cp etc/*.tut* debian/$(PACKAGE)/usr/share/skk
	cp etc/*.xpm debian/$(PACKAGE)/usr/share/pixmaps
	cp doc/skk.info* debian/$(PACKAGE)/usr/share/info

	dh_install bayesian/bskk usr/bin

binary-indep: install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installemacsen
	dh_installman
	dh_installinfo -n
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep binary-arch
.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/ddskk-(\d[^_]+).*\.tar\.gz/ddskk-$1\.tar\.gz/ \
https://github.com/skk-dev/ddskk/releases .*/ddskk-(\d[^_]+).*\.tar\.gz

## ddskk 17.1

=== Makefile ===
# Makefile: makefile for SKK.
#
# Maintainer: SKK Development Team <skk@ring.gr.jp>


VERSION = 17.1

BZIP2     = bzip2 -9
CD	  = cd
CP        = cp --force
DATE	  = date
EMACS	  = emacs
ETAGS	  = etags
FIND	  = find . -maxdepth 1 -name
FLAGS     = --batch --no-init-file --quick --load SKK-MK
GIT       = git
GZIP      = gzip -9
MD5	  = md5
RM	  = /bin/rm -f
SNAPBASE  = ddskk-`$(DATE) '+%Y%m%d'`
TAR	  = gtar
TEE	  = tee
PWD       = pwd
CURL      = curl
XARGS	  = xargs --max-args=1 --verbose
SKK_DEFAULT_JISYO =
set_jisyo =

TEST_DEP_1=ert
TEST_DEP_1_STABLE_URL=http://git.savannah.gnu.org/cgit/emacs.git/plain/lisp/emacs-lisp/ert.el?h=emacs-24.3

elc:
	$(EMACS) $(FLAGS) --funcall SKK-MK-generate-autoloads-el
	$(FIND) '*.el' | $(XARGS) $(EMACS) --batch --no-init-file --quick --directory ./ --funcall batch-byte-compile

.PHONY: test downloads
test:
	$(EMACS) --batch --quick --directory ./ --directory test --load test/all-tests.el --funcall ert-run-tests-batch-and-exit
	$(RM) skk-bayesian.el* skk-def.el* skk-mkmgk.el* skk-tutcdef.el* skk-tutcode.el* skk-autoloads.el*
	$(CP) bayesian/skk-bayesian.el .
	$(CP) tut-code/*.el .
	$(EMACS) $(FLAGS) --funcall SKK-MK-generate-autoloads-el
	$(EMACS) --batch --quick --directory ./ --funcall batch-byte-compile skk-bayesian.el
	$(EMACS) --batch --quick --directory ./ --funcall batch-byte-compile skk-def.el
	$(EMACS) --batch --quick --directory ./ --funcall batch-byte-compile skk-mkmgk.el
	$(EMACS) --batch --quick --directory ./ --funcall batch-byte-compile skk-tutcdef.el
	$(EMACS) --batch --quick --directory ./ --funcall batch-byte-compile skk-tutcode.el
	$(RM) skk-bayesian.el* skk-def.el* skk-mkmgk.el* skk-tutcdef.el* skk-tutcode.el*
	$(CD) nicola;make;make clean

checkdoc:
	$(RM) checkdoc.log
	$(FIND) '*.el' | $(XARGS) $(EMACS) --batch --quick --load maint/checkdoc-batch.el --funcall checkdoc-batch-commandline 2>&1 | $(TEE) checkdoc.log

downloads :
	$(CURL) '$(TEST_DEP_1_STABLE_URL)' > $(TEST_DEP_1).el

info:
	$(EMACS) $(FLAGS) --funcall SKK-MK-compile-info

install:
	$(EMACS) $(FLAGS) --funcall SKK-MK-install

install-elc:
	$(EMACS) $(FLAGS) --funcall SKK-MK-install-elc

install-info:
	$(EMACS) $(FLAGS) --funcall SKK-MK-install-info

what-where:
	$(EMACS) $(FLAGS) --funcall SKK-MK-what-where

uninstall:
	$(EMACS) $(FLAGS) --funcall SKK-MK-uninstall

get:
	$(EMACS) $(FLAGS) --funcall SKK-MK-generate-autoloads-el
	$(EMACS) --batch --no-init-file --quick --directory ./ --load tar-util.el --load skk-develop.el --eval='(skk-get "./dic")'

TAGS:
	$(ETAGS) `find . -name '*.el'`

clean:
	-$(RM) leim-list.el skk-autoloads.el skk-setup.el *.elc experimental/*.elc \
	auto-autoloads.el custom-load.el ert.el checkdoc.log\
	./doc/skk.info* ./doc/skk.html* ./doc/skk.pdf \
	./doc/*.aux ./doc/*.cp* ./doc/*.fn* ./doc/*.ky* ./doc/*.log ./doc/*.toc ./doc/*.vr* \
	`find . -name '*~'` `find . -name '.*~'` `find . -name '.#*'`

release: clean
	$(RM) ../ddskk-$(VERSION).tar.gz ../ddskk-$(VERSION).tar.bz2 ;\
	$(GIT) archive --format=tar.gz --prefix=ddskk-$(VERSION)/ HEAD > ../ddskk-$(VERSION).tar.gz ;\
	$(GIT) archive --format=tar --prefix=ddskk-$(VERSION)/ HEAD | $(BZIP2) -c > ../ddskk-$(VERSION).tar.bz2 ;\
	$(MD5) ../ddskk-$(VERSION).tar.bz2 > ../ddskk-$(VERSION).tar.bz2.md5 ;\
	$(MD5) ../ddskk-$(VERSION).tar.gz > ../ddskk-$(VERSION).tar.gz.md5

tar: clean
	$(RM) ../ddskk-$(VERSION) ../ddskk-snapshot $(SNAPBASE).tar.gz ../$(SNAPBASE).tar.bz2 ;\
	$(RM) ../$(SNAPBASE) ;\
	ln -sf `$(PWD)` ../$(SNAPBASE) ;\
	cd .. ;\
	$(TAR) -cvpf $(SNAPBASE).tar --exclude-from=$(SNAPBASE)/skk.ex --dereference $(SNAPBASE);\
	$(GZIP) -cf $(SNAPBASE).tar > $(SNAPBASE).tar.gz ;\
	$(RM) $(SNAPBASE).tar ;\
	$(RM) $(SNAPBASE) ;\
	$(MD5) $(SNAPBASE).tar.gz >$(SNAPBASE).tar.gz.md5

# end of Makefile.

=== debian/changelog ===
ddskk (17.1-8) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.0, no changes needed.
  * Remove constraints unnecessary since buster

  [ Tatsuya Kinoshita ]
  * New patch 070_context-skk.patch for Emacs 28

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 17 Feb 2022 23:52:22 +0900

ddskk (17.1-7) unstable; urgency=medium

  * Update Info handling to use makeinfo
  * New patch 060_bayesian.patch to remove unneeded require
  * Disable key binding for skk-tutorial to use tab bars
  * Update README.Debian for skk-tutorial

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 15 Aug 2021 22:56:04 +0900

ddskk (17.1-6) experimental; urgency=medium

  * Don't byte-compile skk-bayesian.el to avoid hang during installation
    (closes: #987383)
  * Certainly remove doc/skk.info when the clean target

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 24 Apr 2021 14:45:39 +0900

ddskk (17.1-5) experimental; urgency=medium

  * New patch 050_facemenu.patch for ccc on Emacs 28

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 07 Apr 2021 20:14:43 +0900

ddskk (17.1-4) unstable; urgency=medium

  * New patch 030_skk-wrap.patch for org-mode and markdown-mode
  * New patch 040_skk-azik.patch to remove tU/tsU entries
  * Update example for SKK-JISYO.pinyin in README.Debian
  * Update debian/copyright
  * Add quick start guide to README.Debian

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 20 Jan 2021 21:30:01 +0900

ddskk (17.1-3) unstable; urgency=medium

  * Define skk-toggle-kana in emacsen-startup
  * Remove XEmacs's data-directory-list handling from emacsen-startup
  * Remove skkdic from Recommends
  * Update Standards-Version to 4.5.1

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 26 Dec 2020 12:40:09 +0900

ddskk (17.1-2) unstable; urgency=medium

  * New patch 020_indicator.patch to fix incorrect skk-indicator-alist

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 25 Aug 2020 20:32:34 +0900

ddskk (17.1-1) unstable; urgency=medium

  * New upstream version 17.1
  * Add debian/upstream/metadata
  * Drop emacs23 and xemacs21
  * Update short description
  * Update debian/watch
  * Update debhelper-compat to 13
  * Update debian/copyright
  * Don't install experimental/dbm/*
  * Don't install etc/Emacs.ad
  * New patch 010_cursor-off.patch to not fail on startup

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 16 Aug 2020 12:38:36 +0900

ddskk (16.3-2) unstable; urgency=medium

  * Update sample configuration for UTF-8 dictionary files
  * Don't install broken skk-exsearch and skk-exserv
  * Update Upstream-Contact to skk-dev

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 24 Mar 2020 22:30:17 +0900

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: lisp
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper-compat (= 12)
-Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24 | emacs23
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13)
+Build-Depends-Indep: texinfo
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/ddskk
 Vcs-Git: https://salsa.debian.org/debian/ddskk.git
 Homepage: https://github.com/skk-dev/ddskk
@@ -12,13 +12,13 @@
 
 Package: ddskk
 Architecture: all
-Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs-snapshot | xemacs21-mule | xemacs21-mule-canna-wnn | xemacs21-gnome-mule | xemacs21-gnome-mule-canna-wnn, emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs-snapshot | apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
-Recommends: skkdic-cdb | dbskkd-cdb | skkserv | skkdic
+Depends: emacsen-common, emacs-nox | emacs | emacs25 | emacs24 | emacs-snapshot, ${misc:Depends}
+Recommends: skkdic-cdb | dbskkd-cdb | skkserv
 Suggests: skkdic, skkdic-extra, skktools, lookup-el, kakasi, w3m-el, eieio, ruby, dictionaries-common
 Provides: skk
 Conflicts: skk
 Replaces: skk
-Description: efficient Japanese input system for emacsen
+Description: efficient and characteristic Japanese input system for Emacs
  Daredevil SKK (DDSKK) is a fast and efficient Japanese input system
  written in Emacs Lisp.
  .

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 build-indep: build-indep-stamp
 build-indep-stamp:
 	dh_testdir
-	emacs -batch -q -no-site-file -eval '(progn (set-language-environment "Japanese")'"(prefer-coding-system 'iso-2022-jp)(setq SKK_SET_JISYO nil))" -l SKK-MK -f SKK-MK-compile-info
+	cd doc && makeinfo skk.texi
 	touch $@
 
 build-arch:
@@ -21,6 +21,7 @@
 	rm -f build*-stamp
 
 	$(MAKE) clean
+	rm -f doc/skk.info*
 
 	dh_clean
 
@@ -31,7 +32,9 @@
 	dh_installdirs
 
 	cp -R *.el *.in SKK-* maint nicola tut-code/*.el bayesian/*.el debian/$(PACKAGE)/usr/share/$(PACKAGE)
-	cp -f experimental/*.el experimental/dbm/*.el debian/$(PACKAGE)/usr/share/$(PACKAGE)
+	perl -pwi -e 's/skk-bayesian/;;skk-bayesian/' debian/$(PACKAGE)/usr/share/$(PACKAGE)/SKK-MK
+	perl -pwi -e 's/(\(global-set-key "\\C-xt")/;;$$1/' debian/$(PACKAGE)/usr/share/$(PACKAGE)/skk-setup.el.in
+	cp -f experimental/*.el debian/$(PACKAGE)/usr/share/$(PACKAGE)
 
 	rm -f debian/$(PACKAGE)/usr/share/$(PACKAGE)/nicola/Makefile
 	rm -f debian/$(PACKAGE)/usr/share/$(PACKAGE)/nicola/.cvsignore
@@ -41,7 +44,7 @@
 	if [ -f bayesian/README.ja.md ]; then cp -f bayesian/README.ja.md debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/README.bayesian.ja.md; fi
 
 	rm -f debian/$(PACKAGE)/usr/share/$(PACKAGE)/skk-exsearch.el
-	sed 's!/usr/local!/usr!;s!SKK-JISYO\.L!SKK-JISYO!' experimental/skk-exsearch.el > debian/$(PACKAGE)/usr/share/$(PACKAGE)/skk-exsearch.el
+	rm -f debian/$(PACKAGE)/usr/share/$(PACKAGE)/skk-exserv.el
 
 	cp etc/*.tut* debian/$(PACKAGE)/usr/share/skk
 	cp etc/*.xpm debian/$(PACKAGE)/usr/share/pixmaps

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*/)?(?:ddskk-)?v?(\d[\d.]*)[^/]*\.tar\.gz%ddskk-$1.tar.gz%" \
https://github.com/skk-dev/ddskk/tags \
(?:.*/)?(?:ddskk-)?v?(\d[\d.]*)[^/]*\.tar\.gz debian uupdate

## ddskk 17.1+0.20221030

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 # Makefile: makefile for SKK.
 #
-# Maintainer: SKK Development Team <skk@ring.gr.jp>
+# Maintainer: SKK Development Team
+# URL: https://github.com/skk-dev/ddskk
 
 
 VERSION = 17.1
@@ -82,7 +83,7 @@
 
 clean:
 	-$(RM) leim-list.el skk-autoloads.el skk-setup.el *.elc experimental/*.elc \
-	auto-autoloads.el custom-load.el ert.el checkdoc.log\
+	auto-autoloads.el custom-load.el ert.el checkdoc.log \
 	./doc/skk.info* ./doc/skk.html* ./doc/skk.pdf \
 	./doc/*.aux ./doc/*.cp* ./doc/*.fn* ./doc/*.ky* ./doc/*.log ./doc/*.toc ./doc/*.vr* \
 	`find . -name '*~'` `find . -name '.*~'` `find . -name '.#*'`

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build-3
SPHINXPROJ    = ddskk
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== nicola/Makefile ===
#
# Makefile for NICOLA-DDSKK.
#

RM	= /bin/rm -f

EMACS	= emacs
FLAGS   = --batch --quick -no-site-file --directory ../ --load NICOLA-DDSKK-MK

PREFIX = NONE
LISPDIR = NONE
VERSION_SPECIFIC_LISPDIR = NONE

GOMI	= *.elc auto-autoloads.el custom-load.el nicola-ddskk-autoloads.el

all: elc

elc: clean
	$(EMACS) $(FLAGS) --funcall compile-nicola-ddskk $(PREFIX) $(LISPDIR) \
		$(VERSION_SPECIFIC_LISPDIR)

install-elc: elc
	$(EMACS) $(FLAGS) --funcall install-nicola-ddskk $(PREFIX) $(LISPDIR) \
		$(VERSION_SPECIFIC_LISPDIR)

install: install-elc

clean:
	-$(RM) $(GOMI)

=== debian/changelog ===
ddskk (17.1+0.20221030-2) unstable; urgency=medium

  * Enable inhibit-automatic-native-compilation when byte-compiling
  * Enable byte-compile-warnings when byte-compiling
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Jan 2023 23:09:32 +0900

ddskk (17.1+0.20221030-1) unstable; urgency=medium

  * New upstream version 17.1+0.20221030
  * Drop debian/patches
  * Relax dependencies on emacs flavors
  * Update debian/copyright
  * Update Standards-Version to 4.6.2

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 17 Dec 2022 22:57:30 +0900

ddskk (17.1-10) unstable; urgency=medium

  * Show a compilation error log
  * New patch 080_init-value.patch to fix deprecated params
  * Avoid obsolete inactivate-input-method in README.Debian

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 10 Dec 2022 08:19:35 +0900

ddskk (17.1-9) unstable; urgency=medium

  * Prevent native compilation in emacsen-install (closes: #1020525)
  * Remove empty maintainer scripts
  * Update Standards-Version to 4.6.1
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 07 Nov 2022 01:10:34 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: texinfo
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/ddskk
 Vcs-Git: https://salsa.debian.org/debian/ddskk.git
 Homepage: https://github.com/skk-dev/ddskk
@@ -12,8 +12,8 @@
 
 Package: ddskk
 Architecture: all
-Depends: emacsen-common, emacs-nox | emacs | emacs25 | emacs24 | emacs-snapshot, ${misc:Depends}
-Recommends: skkdic-cdb | dbskkd-cdb | skkserv
+Depends: emacsen-common, ${misc:Depends}
+Recommends: emacs-nox | emacs, skkdic-cdb | dbskkd-cdb | skkserv
 Suggests: skkdic, skkdic-extra, skktools, lookup-el, kakasi, w3m-el, eieio, ruby, dictionaries-common
 Provides: skk
 Conflicts: skk
